<?php 
add_action( 'wp_enqueue_scripts', 'happy_memories_enqueue_styles' );
function happy_memories_enqueue_styles() {
	wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' ); 
} 


function happy_memories_google_fonts() {
	wp_enqueue_style( 'happy-memories-google-fonts', '//fonts.googleapis.com/css?family=Lato:400,700', false ); 
}
add_action( 'wp_enqueue_scripts', 'happy_memories_google_fonts' );



require get_stylesheet_directory() . '/inc/custom-header.php'; 





function happy_memories_customize_register( $wp_customize ) { 
		$wp_customize->get_setting( 'header_textcolor' )->transport = 'refresh';
			$wp_customize->get_setting( 'blogname' )->transport         = 'refresh';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'refresh';

	$wp_customize->add_setting( 'btn_continue_reading_background_color', array(
		'default'           => '#00d07e',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'refresh',
		) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'btn_continue_reading_background_color', array(
		'label'       => __( 'Post feed background button color', 'happy-memories' ),
		'section'     => 'colors',
		'priority'   => 1,
		'settings'    => 'btn_continue_reading_background_color',
		) ) );
	$wp_customize->add_setting( 'btn_continue_reading_color', array(
		'default'           => '#fff',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'refresh',
		) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'btn_continue_reading_color', array(
		'label'       => __( 'Post feed button color', 'happy-memories' ),
		'section'     => 'colors',
		'priority'   => 1,
		'settings'    => 'btn_continue_reading_color',
		) ) );
}
add_action( 'customize_register', 'happy_memories_customize_register', 9999 );
if(! function_exists('happy_memories_customizer_css_final_output' ) ):
	function happy_memories_customizer_css_final_output(){
		?>
		<style type="text/css">
		.btn-continue-reading { color: <?php echo esc_attr(get_theme_mod( 'btn_continue_reading_color')); ?>; }
		.btn-continue-reading { background: <?php echo esc_attr(get_theme_mod( 'btn_continue_reading_background_color')); ?>; }
		</style>
		<?php }
		add_action( 'wp_head', 'happy_memories_customizer_css_final_output', 999 );
		endif;



/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for child theme Lightweightly Blog for publication on WordPress.org
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

require_once get_stylesheet_directory() . '/inc/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'happy_memories_register_required_plugins' );

function happy_memories_register_required_plugins() {
	$plugins = array(
		array(
			'name'      => 'Social Share and Follow Buttons',
			'slug'      => 'superb-social-share-and-follow-buttons',
			'required'  => false,
		),

		array(
			'name'      => 'Superb Blocks',
			'slug'      => 'superb-blocks',
			'required'  => false,
		),
		array(
			'name'      => 'Recent Posts with Thumbnails',
			'slug'      => 'superb-recent-posts-with-thumbnail-images',
			'required'  => false,
		),
	);

	$config = array(
		'id'           => 'happy-memories',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}
